- Home
- API Enriched
- Tenant And Identity
- web
- Update Support Tenant Access.
Update Support Tenant Access.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/allowed_tenants/support-tenant/access';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"access_config":{"disable":true,"read_only":{},"read_write_all":{},"read_write_ns":{"namespaces":["example"]}}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/allowed_tenants/support-tenant/access \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "access_config": { "disable": true, "read_only": {}, "read_write_all": {}, "read_write_ns": { "namespaces": [ "example" ] } } }'This RPC can be used to manage user access for all flavors of support tenants currently supported by the platform. Use read-only, read-write with specific namespaces or admin can specify custom groups to control access by the support tenant user. Name is well-known identifier for a specific support related tenant.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Request to update access control configurations for a support tenant.
object
object
Temporarily revoke access to this tenant.
object
object
object
List of namespace name read/write access needs to be restricted to. Required: YES.
Examplegenerated
{ "access_config": { "disable": true, "read_only": {}, "read_write_all": {}, "read_write_ns": { "namespaces": [ "example" ] } }}Responses
Section titled “Responses”A successful response.
Response to update access control configurations for a support tenant.
object
object
Temporarily revoke access to this tenant.
object
object
object
List of namespace name read/write access needs to be restricted to. Required: YES.
Examplegenerated
{ "access_config": { "disable": true, "read_only": {}, "read_write_all": {}, "read_write_ns": { "namespaces": [ "example" ] } }}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example